use dhcp::parse_dhcp_packet;
use std::net::UdpSocket;

fn main() {
    let sock = UdpSocket::bind("0.0.0.0:67").unwrap();

    let mut buf = [0; 504];
    while let Ok((size, addr)) = sock.recv_from(&mut buf) {
        println!("Got {size} bytes from {addr}");
        //println!("{buf:?}");
        let (_, msg) = parse_dhcp_packet(&buf).unwrap();
        dbg!(&msg);
        let hostname = msg
            .get_option::<dhcp::options::HostNameOption>()
            .unwrap()
            .unwrap();
        println!("Hostname: {hostname}");
    }
}
